<template>
  <el-container style="flex-grow:1">
    <el-main class="containMain">
      <div class="contentTitle">{{pageTitle}}</div>
      <el-form ref="form" :model="formData" label-width="80px"  style="margin-top:20px;max-width:300px;" >
     
    
        <el-form-item label="牛号">
         <el-input v-model="formData.cowID" placeholder="请输入牛号" maxlength="8"></el-input>

        </el-form-item>
        <el-form-item label="epc">
         <el-input v-model="formData.epc" placeholder="请输入epc"  maxlength="12"></el-input>

        </el-form-item>

        <div style="margin-top:80px">
          <el-button @click="onSave" type="primary" style="width:98px;" size="mediu">提交信息</el-button>
        </div>
      </el-form>
    </el-main>
  </el-container>
</template>
<script>
import formValidator from '../formValidator'
import axios from 'axios'
import { mapState } from 'vuex'
export default {
  created() {

  },
  data() {
    return {
      saving: false,
      formData: {
        cowID: '',
        epc:""
      },
      tableData: [],
      editRow: {}
    }
  },
  computed: {
    ...mapState(['userInfo', 'allHeight']),
    pageTitle() {
      return this.$route.meta.title
    }
  },
  methods: {
    onSave() {
      if (this.formData.cowID.length!=8) {
        this.$message({
          message: '请录入牛号',
          type: 'warning'
        });
        return
      }

       if (this.formData.epc.length!=12) {
        this.$message({
          message: '请录入epc',
          type: 'warning'
        });
        return
      }


      this.getHaleInfo('wsCow', 'uploadCowTIDInfo', [
         this.formData.cowID,this.formData.epc,Date.parse(new Date()),this.userInfo.username,true
      ], 'json').then((data) => {
        console.log(data)
        if (data.rtnCode == -1) {
         
          this.$alert(data.rtnMessage, '提示', {
            confirmButtonText: '确定',
            callback: action => {
              this.formData.cowID = ''
              this.formData.epc=''
            }
          });
        }
        else {
          this.$message({
            message: '录入成功',
            type: 'success'
          });
          this.formData.cowID = ''
          this.formData.epc=''
        }
      })
    },
  

  }
}
</script>
<style lang="less" scoped>
.containMain {
  background: rgba(255, 255, 255, 1);
  border-radius: 4px;
  padding: 15px;
  // margin-right: 10px;
  .contentTitle {
    border-bottom: 1px solid #f2f4f5;
  }
  // min-width: 450px;

  .sub {
    font-size: 14px;
    font-weight: 600;
    color: rgba(102, 102, 102, 1);
    line-height: 20px;
    margin-bottom: 40px;
    padding-left: 20px;
  }
}

.contentTitle {
  font-size: 16px;
  font-weight: bold;
  color: rgba(0, 0, 0, 1);
  line-height: 22px;
  letter-spacing: 1px;
  padding-bottom: 14px;
}

.containAside {
  padding: 0;
  margin-left: 10px;
  display: flex;
  flex-direction: column;
  .asideInfo {
    flex-grow: 1;
    background: rgba(255, 255, 255, 1);
    border-radius: 4px;
    padding: 15px;
  }
}
</style>
